Chromium Code Reviews
Help | Chromium Project | Sign in
(16)

Issue 498573003: Add relaunch into ASH and desktop support for Chrome on Windows 7. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
10 months, 2 weeks ago by ananta
Modified:
9 months, 4 weeks ago
CC:
chromium-reviews, sadrul, stuartmorgan+watch_chromium.org, jam, ben+ash_chromium.org, kalyank, Alexei (OOO until July 6)
Project:
chromium
Visibility:
Public.

Description

Add relaunch into ASH and desktop support for Chrome on Windows 7. This is on similar lines as Windows 8. The difference being launching into ASH on Windows 8 launches ASH into Windows 8 metro environment. Reused the existing tunneling we have via delegate_execute to ensure that the calling process is terminated before launching the browser into the other environment. Removed the erstshile Open Ash Desktop and Close Ash Desktop menu options as they are no longer needed and they don't work correctly anyways. BUG=356475 Committed: https://crrev.com/196db19755cd25d7da5371442c2394e1510051ad Cr-Commit-Position: refs/heads/master@{#292464}

Patch Set 1 #

Patch Set 2 : Removed ifdef USE_AURA and USE_ASH from code being modified #

Patch Set 3 : Fixed build error #

Patch Set 4 : Rebased to tip #

Patch Set 5 : Fixed build error #

Total comments: 8

Patch Set 6 : Code review comments #

Patch Set 7 : Added metrics #

Total comments: 2

Patch Set 8 : Changed menu strings to Chrome OS mode #

Total comments: 4

Patch Set 9 : Code review comments from sky #

Total comments: 4

Patch Set 10 : Code review comments #

Patch Set 11 : Rebased #

Patch Set 12 : Fixed actions.xml #

Patch Set 13 : Attempt to fix mac trybot redness #

Patch Set 14 : Removed newline from chrome_command_ids.h #

Unified diffs Side-by-side diffs Delta from patch set Stats (+169 lines, -122 lines) Patch
M chrome/app/chrome_command_ids.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/app/chrome_dll.rc View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M chrome/app/generated_resources.grd View 3 chunks +11 lines, -9 lines 0 comments Download
M chrome/browser/browser_process_impl.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/browser_process_platform_part_aurawin.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/first_run/upgrade_util_win.cc View 1 2 3 4 5 6 7 8 9 1 chunk +5 lines, -1 line 0 comments Download
M chrome/browser/lifetime/application_lifetime.h View 1 chunk +3 lines, -1 line 0 comments Download
M chrome/browser/plugins/plugin_infobar_delegates.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +1 line, -8 lines 0 comments Download
M chrome/browser/ui/apps/apps_metro_handler_win.h View 1 chunk +4 lines, -4 lines 0 comments Download
M chrome/browser/ui/apps/apps_metro_handler_win.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +17 lines, -7 lines 0 comments Download
M chrome/browser/ui/ash/ash_util.h View 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/browser/ui/ash/ash_util.cc View 1 chunk +0 lines, -10 lines 0 comments Download
M chrome/browser/ui/browser_command_controller.cc View 1 2 3 4 5 6 7 8 9 10 4 chunks +20 lines, -20 lines 0 comments Download
M chrome/browser/ui/toolbar/wrench_menu_model.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +10 lines, -28 lines 0 comments Download
M tools/metrics/actions/actions.xml View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +26 lines, -4 lines 0 comments Download
M win8/delegate_execute/command_execute_impl.h View 1 chunk +2 lines, -1 line 0 comments Download
M win8/delegate_execute/delegate_execute.cc View 1 2 3 4 5 2 chunks +53 lines, -15 lines 0 comments Download
M win8/delegate_execute/delegate_execute_operation.cc View 2 chunks +13 lines, -6 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 57 (0 generated)
ananta
10 months, 2 weeks ago (2014-08-22 01:52:56 UTC) #1
ananta
+sky for chrome\app and chrome\browser
10 months, 2 weeks ago (2014-08-22 21:15:54 UTC) #2
cpu
https://codereview.chromium.org/498573003/diff/80001/chrome/browser/plugins/plugin_infobar_delegates.cc File chrome/browser/plugins/plugin_infobar_delegates.cc (right): https://codereview.chromium.org/498573003/diff/80001/chrome/browser/plugins/plugin_infobar_delegates.cc#newcode484 chrome/browser/plugins/plugin_infobar_delegates.cc:484: InfoBarButton button) const { don't you have to use ...
10 months, 2 weeks ago (2014-08-22 21:47:12 UTC) #3
ananta
https://codereview.chromium.org/498573003/diff/80001/chrome/browser/plugins/plugin_infobar_delegates.cc File chrome/browser/plugins/plugin_infobar_delegates.cc (right): https://codereview.chromium.org/498573003/diff/80001/chrome/browser/plugins/plugin_infobar_delegates.cc#newcode484 chrome/browser/plugins/plugin_infobar_delegates.cc:484: InfoBarButton button) const { On 2014/08/22 21:47:11, cpu wrote: ...
10 months, 2 weeks ago (2014-08-22 22:17:53 UTC) #4
cpu
lgtm
10 months, 1 week ago (2014-08-26 03:37:06 UTC) #5
cpu
btw you need a review for the xml file.
10 months, 1 week ago (2014-08-26 03:37:37 UTC) #6
sky (OOO until 7-20)
https://codereview.chromium.org/498573003/diff/120001/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/498573003/diff/120001/chrome/app/generated_resources.grd#newcode13854 chrome/app/generated_resources.grd:13854: + Relaunch Chrome in Windows ASH mode Do we ...
10 months, 1 week ago (2014-08-26 16:51:23 UTC) #7
ananta
ananta@chromium.org changed reviewers: + jar@chromium.org
10 months, 1 week ago (2014-08-26 18:44:50 UTC) #8
ananta
+jar for metrics.xml owners review.
10 months, 1 week ago (2014-08-26 18:45:09 UTC) #9
jar (doing other things)
jar@chromium.org changed reviewers: + asvitkine@chromium.org - jar@chromium.org
10 months, 1 week ago (2014-08-26 18:53:11 UTC) #10
jar (doing other things)
+asvitkine for histograms.xml review
10 months, 1 week ago (2014-08-26 18:53:11 UTC) #11
Alexei (OOO until July 6)
asvitkine@chromium.org changed reviewers: + jwd@chromium.org
10 months, 1 week ago (2014-08-26 20:20:20 UTC) #12
Alexei (OOO until July 6)
+jwd for histograms review, as I'm currently OOO.
10 months, 1 week ago (2014-08-26 20:20:20 UTC) #13
ananta
https://codereview.chromium.org/498573003/diff/120001/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/498573003/diff/120001/chrome/app/generated_resources.grd#newcode13854 chrome/app/generated_resources.grd:13854: + Relaunch Chrome in Windows ASH mode On 2014/08/26 ...
10 months, 1 week ago (2014-08-26 22:34:17 UTC) #14
sky (OOO until 7-20)
It may be worth renaming the IDRs too, but I leave that to you. https://codereview.chromium.org/498573003/diff/140001/chrome/app/generated_resources.grd ...
10 months, 1 week ago (2014-08-26 22:57:07 UTC) #15
sky (OOO until 7-20)
LGTM
10 months, 1 week ago (2014-08-26 22:57:12 UTC) #16
ananta
On 2014/08/26 22:57:07, sky wrote: > It may be worth renaming the IDRs too, but ...
10 months, 1 week ago (2014-08-27 00:30:11 UTC) #17
ananta
https://codereview.chromium.org/498573003/diff/140001/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/498573003/diff/140001/chrome/app/generated_resources.grd#newcode13869 chrome/app/generated_resources.grd:13869: + desc="Text for the menu item to restart chrome ...
10 months, 1 week ago (2014-08-27 00:30:24 UTC) #18
cpu
The CQ bit was checked by cpu@chromium.org
10 months, 1 week ago (2014-08-27 09:10:21 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ananta@chromium.org/498573003/160001
10 months, 1 week ago (2014-08-27 09:10:49 UTC) #20
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: mac_gpu_retina_triggered_tests on tryserver.chromium.gpu ...
10 months, 1 week ago (2014-08-27 09:14:39 UTC) #21
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
10 months, 1 week ago (2014-08-27 09:15:50 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: mac_gpu_retina_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/mac_gpu_retina_triggered_tests/builds/39844) mac_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/mac_gpu_triggered_tests/builds/39885)
10 months, 1 week ago (2014-08-27 09:15:51 UTC) #23
Jesse Doherty
jwd@chromium.org changed reviewers: + isherman@chromium.org
10 months, 1 week ago (2014-08-27 15:43:24 UTC) #24
Jesse Doherty
LGTM for metrics changes. +isherman for actual metrics owners review
10 months, 1 week ago (2014-08-27 15:43:24 UTC) #25
ananta
The CQ bit was checked by ananta@chromium.org
10 months, 1 week ago (2014-08-27 21:42:57 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ananta@chromium.org/498573003/160001
10 months, 1 week ago (2014-08-27 21:44:06 UTC) #27
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: mac_gpu_retina_triggered_tests on tryserver.chromium.gpu ...
10 months, 1 week ago (2014-08-27 21:49:06 UTC) #28
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
10 months, 1 week ago (2014-08-27 21:51:26 UTC) #29
commit-bot: I haz the power
Try jobs failed on following builders: ios_rel_device_ninja on tryserver.chromium.mac (http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_rel_device_ninja/builds/6563) mac_chromium_rel_swarming on tryserver.chromium.mac (http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_swarming/builds/7713) win8_chromium_rel ...
10 months, 1 week ago (2014-08-27 21:51:28 UTC) #30
Ilya Sherman
actions.xml LGTM % nits. https://codereview.chromium.org/498573003/diff/160001/tools/metrics/actions/actions.xml File tools/metrics/actions/actions.xml (right): https://codereview.chromium.org/498573003/diff/160001/tools/metrics/actions/actions.xml#newcode11353 tools/metrics/actions/actions.xml:11353: <description>Tracks when Chrome was restarted ...
10 months, 1 week ago (2014-08-27 21:56:50 UTC) #31
ananta
https://codereview.chromium.org/498573003/diff/160001/tools/metrics/actions/actions.xml File tools/metrics/actions/actions.xml (right): https://codereview.chromium.org/498573003/diff/160001/tools/metrics/actions/actions.xml#newcode11353 tools/metrics/actions/actions.xml:11353: <description>Tracks when Chrome was restarted in metro on Win8.</description> ...
10 months, 1 week ago (2014-08-27 22:06:40 UTC) #32
ananta
The CQ bit was checked by ananta@chromium.org
10 months, 1 week ago (2014-08-27 22:06:44 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ananta@chromium.org/498573003/180001
10 months, 1 week ago (2014-08-27 22:09:34 UTC) #34
ananta
The CQ bit was unchecked by ananta@chromium.org
10 months, 1 week ago (2014-08-27 22:17:55 UTC) #35
ananta
The CQ bit was checked by ananta@chromium.org
10 months, 1 week ago (2014-08-27 23:04:37 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ananta@chromium.org/498573003/220001
10 months, 1 week ago (2014-08-27 23:05:57 UTC) #37
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: mac_gpu_retina_triggered_tests on tryserver.chromium.gpu ...
10 months, 1 week ago (2014-08-28 05:07:09 UTC) #38
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
10 months, 1 week ago (2014-08-28 05:30:51 UTC) #39
commit-bot: I haz the power
Try jobs failed on following builders: mac_gpu_retina_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/mac_gpu_retina_triggered_tests/builds/40437)
10 months, 1 week ago (2014-08-28 05:30:52 UTC) #40
ananta
The CQ bit was checked by ananta@chromium.org
10 months, 1 week ago (2014-08-28 05:51:17 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ananta@chromium.org/498573003/220001
10 months, 1 week ago (2014-08-28 05:52:26 UTC) #42
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: mac_gpu_retina_triggered_tests on tryserver.chromium.gpu ...
10 months, 1 week ago (2014-08-28 11:07:29 UTC) #43
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
10 months, 1 week ago (2014-08-28 11:32:19 UTC) #44
commit-bot: I haz the power
Try jobs failed on following builders: mac_gpu_retina_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/mac_gpu_retina_triggered_tests/builds/40529)
10 months, 1 week ago (2014-08-28 11:32:21 UTC) #45
ananta
The CQ bit was checked by ananta@chromium.org
10 months, 1 week ago (2014-08-28 18:38:05 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ananta@chromium.org/498573003/260001
10 months, 1 week ago (2014-08-28 18:38:45 UTC) #47
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
10 months, 1 week ago (2014-08-28 19:48:56 UTC) #48
commit-bot: I haz the power
Failed to commit the patch.
10 months, 1 week ago (2014-08-28 19:48:59 UTC) #49
ananta
The CQ bit was checked by ananta@chromium.org
10 months, 1 week ago (2014-08-28 19:49:36 UTC) #50
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ananta@chromium.org/498573003/260001
10 months, 1 week ago (2014-08-28 19:51:27 UTC) #51
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
10 months, 1 week ago (2014-08-28 19:53:11 UTC) #52
commit-bot: I haz the power
Failed to commit the patch.
10 months, 1 week ago (2014-08-28 19:53:15 UTC) #53
ananta
The CQ bit was checked by ananta@chromium.org
10 months, 1 week ago (2014-08-28 21:20:41 UTC) #54
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ananta@chromium.org/498573003/260001
10 months, 1 week ago (2014-08-28 21:21:13 UTC) #55
commit-bot: I haz the power
Committed patchset #14 (id:260001) as d0ae379ed68037729660aa10c7651c17f95fda6a
10 months, 1 week ago (2014-08-28 21:38:18 UTC) #56
commit-bot: I haz the power
9 months, 4 weeks ago (2014-09-10 03:02:19 UTC) #57
Message was sent while issue was closed.
Patchset 14 (id:??) landed as
https://crrev.com/196db19755cd25d7da5371442c2394e1510051ad
Cr-Commit-Position: refs/heads/master@{#292464}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1f9106d